Ticket #1656 (closed defect: fixed)

Opened 9 years ago

Last modified 9 years ago

Incorrect processing of cases the lack of rights (~/.mc/*) to save preferences

Reported by: alex_zol Owned by: slavazanko
Priority: major Milestone: 4.7.0-pre4
Component: mc-config-ini Version: 4.7.0-pre3
Keywords: Cc:
Blocked By: Blocking:
Branch state: Votes for changeset: committed-master

Description

In the case where insufficient rights to the contents of the directory ~/.mc/* to save preferences I get "settings saved in ~ /.mc/ini", but really nothing is saved.

It would be correct to issue a message like "Not enough permissions to save the ~/.mc/ini"

Also, when autosave should be issued a message about the lack of rights.


Accidentally situation is the lack of rights can occur when you first start mc under sudo.
The files in ~/.mc/* created with owner root (but not in the home directory of root, and in the home directory of a user caused sudo).

For example:
sudo apt-get install mc
sudo -s
mc
save settings and exit from mc

alex@alex-laptop:~/.mc$ ls -l ~/.mc
drwx------ 2 root root 4096 2009-09-17 22:38 cedit
-rw-r--r-- 1 root root 69 2009-09-20 09:40 filepos
-rw-r--r-- 1 root root 116 2009-10-02 21:26 history
-rw-r--r-- 1 root root 2602 2009-10-02 21:26 ini
-rw-r--r-- 1 root root 714 2009-10-02 21:26 panels.ini
-rw-r--r-- 1 root root 35 2009-10-02 21:26 Tree

Change History

comment:1 Changed 9 years ago by angel_il

  • Milestone changed from 4.7 to 4.7.0-pre4

comment:2 Changed 9 years ago by iNode

  • Blocked By 1617 added

This ticket related with #1617 and #394.

comment:3 Changed 9 years ago by zaytsev

Also have same problem here :-( have to check every time manually...

comment:4 Changed 9 years ago by slavazanko

  • Blocked By 1617 removed

comment:5 Changed 9 years ago by slavazanko

Duplicate: #1722

comment:6 Changed 9 years ago by slavazanko

  • Owner set to slavazanko
  • Status changed from new to accepted

comment:7 Changed 9 years ago by slavazanko

  • Component changed from mc-core to mc-config-ini
  • severity changed from no branch to on review

Created branch 1656_lack_rights.

changesets:

Review, please.

comment:8 Changed 9 years ago by slavazanko

comment:9 Changed 9 years ago by slavazanko

Branch rebased.

Review, please, again

comment:10 Changed 9 years ago by slavazanko

Branch again rebased.

comment:11 Changed 9 years ago by andrew_b

  • Votes for changeset set to andrew_b

comment:12 Changed 9 years ago by angel_il

  • Votes for changeset changed from andrew_b to andrew_b angel_il
  • severity changed from on review to approved

comment:13 Changed 9 years ago by slavazanko

  • Status changed from accepted to testing
  • Votes for changeset changed from andrew_b angel_il to commited-master
  • Resolution set to fixed
  • severity changed from approved to merged

comment:14 Changed 9 years ago by slavazanko

  • Status changed from testing to closed
Note: See TracTickets for help on using tickets.